System.Web 2.0.0.0 System.Web.UI.WebControls.BaseDataBoundControl System.ComponentModel.Designer("System.Web.UI.Design.WebControls.HierarchicalDataBoundControlDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner")

The class is the base class used for ASP.NET controls that retrieve data from an ASP.NET hierarchical data source control and bind user-interface elements of the control to that data for display. The and classes derive from .

Page developers do not use the class directly; instead, they use controls that derive from this class.

Controls developers extend this class to create data-bound controls that work with classes that implement the interface and classes that derive from the and classes. When deriving a class from the class, override the method to bind the user-interface elements of your control to data retrieved by the method. In most cases, the method is the only method you will override in your derived class.

For ASP.NET 2.0 data-bound controls, the method is the equivalent of the method, and is called to bind data at run time. The method calls the and methods.

Serves as the base class for all ASP.NET version 2.0 data-bound controls that display their data in hierarchical form.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.Web.UI.IDReferenceProperty(typeof(System.Web.UI.HierarchicalDataSourceControl))
  System.String To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.UI.HierarchicalDataSourceView ``

  The method retrieves a object from the associated data source control by calling the method.

  Retrieves a object that the data-bound control uses to perform data operations.

  The object that the data-bound control uses to perform data operations.

  The hierarchical path of the view to retrieve. 2.0.0.0
- Method
  System.Web.UI.IHierarchicalDataSource

  The method calls the method internally.

  Retrieves the that the data-bound control is associated with, if any.

  An instance that represents the data source identified by the property.

  2.0.0.0
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Void

  The data-bound control maintains a value in view state that indicates whether it is currently bound to data. The method sets the value to true.

  Sets the state of the control in view state as successfully bound to data.

  2.0.0.0
- Method
  System.Void

  The method is called when the or is changed any time after the page's event.

  Called when one of the base data source identification properties is changed, to re-bind the data-bound control to its data.

  2.0.0.0
- Method
  System.Void `` ``

  The class handles the event to set the property to true.

  Called when the instance that the data-bound control works with raises the event.

  The source of the event, the object. An object that contains event data. 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The handles the Load event to set the property to true if the HTTP request is not a postback.

  Handles the event.

  An object that contains event data.
- Method
  System.Void `` ``

  The sets the property to true in cases where the HTTP request is a postback and view state is enabled but the data-bound control has not yet been bound. This scenario is common with controls such as and where the visibility of the control is changed at run time.

  Sets the initialized state of the data-bound control before the control is loaded.

  The that raised the event. An that contains the event data. 2.0.0.0
- Method
  2.0.0.0
  System.Void

  Implement this method instead of the method when you derive a data-bound control from the class. Placing your control's data-binding logic in keeps the and events from being raised in the wrong order.

  While the base class provides no specific implementation for this method, the method is called by the method to bind the values of any user interface controls to the data that is retrieved by the method.

  When overridden in a derived class, binds data from the data source to the control.

- Method
  System.Void

  The method is called, after data is retrieved, to bind data to elements of the data-bound control. Derived types override this method to retrieve data only if the default implementation is not adequate.

  Retrieves data from the associated data source.

  2.0.0.0
- Method
  System.Void ``

  The method is called only in the class's mutator (setter) for the property. The class checks the type of the object that is set for the property to ensure that it is an instance of the or interfaces.

  Verifies that the object a data-bound control binds to is one it can work with.

  An object set to the property. 2.0.0.0